﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Threading;
using System.Windows.Shapes;

namespace WpfApplication1
{
    class RenderTheBetterEllipse : Window
    {
        [STAThread]
        public static void Main()
        {
            Application app = new Application();
            app.Run(new RenderTheBetterEllipse());
        }

        public RenderTheBetterEllipse()
        {
            Title = "Circle the Buttons";

            RadialPanel pnl = new RadialPanel();
            pnl.Orientation = RadialPanelOrientation.ByHeight;
            pnl.ShowPieLines = true;
            Content = pnl;

            Random rand = new Random();

            for(int i=0; i<10; i++) {
                Button btn = new Button();
                btn.Content = "Button Number " + (i + 1);
                btn.FontSize += rand.Next(3);
                pnl.Children.Add(btn);
            }
        }
    }
}
